HTTP-4000.2.20: A library for client-side HTTP

Copyright | See LICENSE file
License | BSD
Maintainer | Ganesh Sittampalam <ganesh@earth.li>
Stability | experimental
Portability | non-portable (not tested)
Safe Haskell | None
Language | Haskell98

Network.StreamSocket

Description

Socket Stream instance. Originally part of Gray's\/Bringert's HTTP module.

- Changes by Robin Bate Boerop robin@bateboerop.name:
- Made dependencies explicit in import statements.
- Removed false dependencies in import statements.
- Created separate module for instance Stream Socket.
- Changes by Simon Foster:
- Split module up into to sepearate Network.[Stream,TCP,HTTP] modules

Synopsis

- handleSocketError :: Socket -> IOException -> IO (Result a)
- myrecv :: Socket -> Int -> IO String

# Documentation

handleSocketError :: Socket -> IOException -> IO (Result a)

Exception handler for socket operations.

myrecv :: Socket -> Int -> IO String